#include <inttypes.h>
#include <avr/interrupt.h>
#include <avr/eeprom.h>
#include <avr/pgmspace.h>
#include <util/delay.h>
#include <avr/wdt.h>
#include <avr/sleep.h>

// PD0 = RX = 1-Wire-RS232
// PD1 = TX = 2-Wire-RS232
// PD3 = LED nach VCC

int main(void) {

	WDTCR |= (1 << WDE) | (1 << WDCE);
	WDTCR = 0;
    PORTD= 0xFF & ~(1 << PD3);
    DDRD = (1 << PD3);
    while (1) {
      if (!(PIND & (1 << PD0))) {
        PORTD ^= (1 << PD3);
        WDTCR |= (1 << WDE) | (1 << WDCE);
        WDTCR = (1 << WDE);
        for (;;);
      }
    }
}

